/********************************************************************
Beispiel fr HP03-Luftdruck / Temperatur-Modul
Prozessor: ATMEGA32
Serial: 9600 8N1

-----------------------
ATMEGA32          HH10D
-----------------------
PCO               I2C (SCL)
PC1               I2C (SDA)
PD5               XCLR (ADC Reset)
PD7               OC2 (Master Clock)

Spannungslevel beachten!
*********************************************************************/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <stdlib.h>
#include <uart.h>

#include "hp03.h"
#include "digital_io.h"
#include "std_defs.h"

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

int main(void)
{
  // init com port
  uart_init();
  uart_puts("\033[2J");			// clear terminal screen
  uart_puts("Hp03 Testprogramm\n\r");
  uart_puts("------------------\n\n\r");

  // init digital IOs
  DigIO_Init();

  // init humid measurement
  hp03_Init();

  // enable interrupts
  sei();

   // main loop
	while(1)
	{
		long a;

		// call routine to read HP03 values
		hp03_STM();

		// wait some time
		for(a=0;a<2000000;a++){asm("nop");}
	}

}
